// ▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓
//
// UTILS
//
// <#Author = Robert Mollentze>
// <#Email = robmllze@gmail.com>
// <#Date = 8/28/2021>
//
// See LICENSE file
//
// ▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓

library prep;

import 'package:prep/src/parser.dart';

// ignore_for_file: invalid_use_of_protected_member

// ░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░

String _prepValue(final String expression) {
  return PrepParser.instance.$extract(expression)?.value.toString() ?? "";
}

String _prepKey(final String expression) {
  return PrepParser.instance.$extract(expression)?.key.toString() ?? "";
}

// ░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░

extension PrepKeyValue on String {
  /// Extracts the key from a prep expression.
  String get key => this.prepKey;

  /// Extracts the value from a prep expression.
  String get value => this.prepValue;

  /// Extracts the key from a prep expression.
  String get prepKey => _prepKey(this);

  /// Extracts the value from a prep expression.
  String get prepValue => _prepValue(this);
}
